> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runpayments.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runpayments.io/_mcp/server.

# Get transactions data

GET https://apps.runpayments.io/ords/sprint/api/3p/v1/transactions

Retrieve transaction data with optional filtering by specific attributes.
Multiple filters can be applied simultaneously.


Reference: https://docs.runpayments.io/reference/reporting-boarding/reporting-api/get-transactions

## Authentication

- `Authorization` header (bearer token, required) — This API uses OAuth 2.0 for authentication.

## Request

### Query parameters

- `q` (string, optional) — JSON query object to filter transactions. Example: \{"funding\_master\_id":"F1645093"}\ Example: \{"mid":"lsn4mdj1416v350j0001", "amount":100}

## Response

### 200

Successful transaction data retrieval

- `items` (list of Transaction, required)

## Errors

### 400 Bad Request Error

Bad request

- `error` (string, optional) — Error code
- `error_description` (string, optional) — Detailed error description

### 401 Unauthorized Error

Unauthorized

- `error` (string, optional) — Error code
- `error_description` (string, optional) — Detailed error description

## Types

### Transaction

- `account_token` (string, optional) — Tokenized payment account number
- `amount` (double, optional) — Transaction amount in cents
- `auth_code` (string, optional) — Authorization code from issuer
- `avs_resp` (string, optional) — AVS verification response code
- `batch_id` (string, optional) — Batch identifier
- `card_brand_id` (integer, optional) — Card brand identifier
- `card_number` (string, optional) — Masked card number
- `custom_01` (string, optional) — Custom field 1
- `custom_02` (string, optional) — Custom field 2
- `custom_03` (string, optional) — Custom field 3
- `custom_04` (string, optional) — Custom field 4
- `custom_05` (string, optional) — Custom field 5
- `custom_06` (string, optional) — Custom field 6
- `custom_07` (string, optional) — Custom field 7
- `custom_08` (string, optional) — Custom field 8
- `custom_09` (string, optional) — Custom field 9
- `custom_10` (string, optional) — Custom field 10
- `cvv_resp` (string, optional) — CVV response code
- `expiration` (string, optional) — Card expiration
- `funded_batch_id` (string, optional) — Funded batch identifier
- `funding_master_id` (string, optional) — Funding master identifier
- `interchange_per_item` (double, optional) — Per-item interchange fee
- `interchange_rate` (double, optional) — Interchange rate
- `mid` (string, optional) — Merchant ID
- `name` (string, optional) — Account holder's name
- `order_id` (string, optional) — Order identifier
- `related_trans_id` (string, optional) — Related transaction ID
- `resp_code` (string, optional) — Response code
- `resp_text` (string, optional) — Response text
- `result` (string, optional) — Transaction result
- `settlement_date` (string, optional) — Settlement date
- `terminal_id` (string, optional) — Terminal identifier
- `trans_date` (string, optional) — Transaction date
- `trans_id` (string, optional) — Transaction identifier
- `trans_status_id` (integer, optional) — Transaction status identifier. For transaction status ID mapping, please refer to the [ID Mapping](/docs/guides/payments/id-mapping) guide.
- `user_identifier` (string, optional) — User identifier
- `vault_id` (integer, optional) — Vault ID for stored payment method

## Examples

**Response**

```json
{
  "items": [
    {
      "account_token": "string",
      "amount": 1.1,
      "auth_code": "string",
      "avs_resp": "string",
      "batch_id": "string",
      "card_brand_id": 1,
      "card_number": "string",
      "custom_01": "string",
      "custom_02": "string",
      "custom_03": "string",
      "custom_04": "string",
      "custom_05": "string",
      "custom_06": "string",
      "custom_07": "string",
      "custom_08": "string",
      "custom_09": "string",
      "custom_10": "string",
      "cvv_resp": "string",
      "expiration": "string",
      "funded_batch_id": "string",
      "funding_master_id": "string",
      "interchange_per_item": 1.1,
      "interchange_rate": 1.1,
      "mid": "string",
      "name": "string",
      "order_id": "string",
      "related_trans_id": "string",
      "resp_code": "string",
      "resp_text": "string",
      "result": "string",
      "settlement_date": "2024-01-15T09:30:00Z",
      "terminal_id": "string",
      "trans_date": "2024-01-15T09:30:00Z",
      "trans_id": "string",
      "trans_status_id": 1,
      "user_identifier": "string",
      "vault_id": 1
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://apps.runpayments.io/ords/sprint/api/3p/v1/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://apps.runpayments.io/ords/sprint/api/3p/v1/transactions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://apps.runpayments.io/ords/sprint/api/3p/v1/transactions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://apps.runpayments.io/ords/sprint/api/3p/v1/transactions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://apps.runpayments.io/ords/sprint/api/3p/v1/transactions")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://apps.runpayments.io/ords/sprint/api/3p/v1/transactions', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://apps.runpayments.io/ords/sprint/api/3p/v1/transactions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://apps.runpayments.io/ords/sprint/api/3p/v1/transactions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```